<?php

namespace Sella\Apppago\Api;

// use Sella\Apppago\Api\Data\UpdateStatusResultInterface;

interface CallbackOrderStatusInterface
{
    /**
     * Update an order status.
     *
     * @param string $result
     * @param string $merchantTx
     * @param string $contract_number
     * @param string $checkDigit
     * 
     * @return void
     */
    public function getOrderStatus(string $result, string $merchantTx, string $contract_number, string $checkDigit): void;
}
