<?php

namespace Sella\Apppago\Api;

use Sella\Apppago\Api\Data\UpdateResultInterface;

interface OrderUpdateInterface
{
    /**
     * Update an order status.
     *
     * @param string $merchant_order_id
     * @param string $new_status
     * @param string $contract_number
     * @return UpdateResultInterface
     */
    public function update(string $merchant_order_id, string $new_status, string $contract_number): UpdateResultInterface;
}

