document.addEventListener("DOMContentLoaded", function () {
  var selectElement = document.querySelector(
    "tr#row_payment_us_general_installments_type select"
  );

  function handleInstallmentChange() {
    var selectedValue = selectElement.value;

    document.getElementById(
      "row_payment_us_general_fixed_installment"
    ).style.display = "none";
    document.getElementById(
      "row_payment_us_general_range_min_installment"
    ).style.display = "none";
    document.getElementById(
      "row_payment_us_general_range_max_installment"
    ).style.display = "none";
    document.getElementById(
      "row_payment_us_general_select_installment"
    ).style.display = "none";

    if (selectedValue === "fixed") {
      document.getElementById(
        "row_payment_us_general_fixed_installment"
      ).style.display = "table-row";
    } else if (selectedValue === "range") {
      document.getElementById(
        "row_payment_us_general_range_min_installment"
      ).style.display = "table-row";
      document.getElementById(
        "row_payment_us_general_range_max_installment"
      ).style.display = "table-row";
    } else if (selectedValue === "select") {
      document.getElementById(
        "row_payment_us_general_select_installment"
      ).style.display = "table-row";
    }
  }

  handleInstallmentChange();

  selectElement.addEventListener("change", handleInstallmentChange);
});
